## tap-plugins 0.7.0

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #   along with this program; if not, write to the Free Software
 #   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-#   $Id: Makefile,v 1.14 2004/06/21 14:14:32 tszilagyi Exp $
+#   $Id: Makefile,v 1.16 2004/08/13 18:34:31 tszilagyi Exp $
 
 
 #####################################################################
@@ -39,6 +39,7 @@
 LDFLAGS		=	-nostartfiles -shared -Wl,-Bsymbolic -lc -lm -lrt
 
 PLUGINS		=	tap_autopan.so \
+			tap_chorusflanger.so \
 			tap_deesser.so \
 			tap_dynamics_m.so \
 			tap_dynamics_st.so \
@@ -51,8 +52,10 @@
 			tap_reverb.so \
 			tap_rotspeak.so \
 			tap_limiter.so \
+			tap_sigmoid.so \
 			tap_echo.so \
 			tap_tremolo.so \
+			tap_tubewarmth.so \
 			tap_vibrato.so
 
 
@@ -124,6 +127,18 @@
 	$(CC) $(CFLAGS) tap_doubler.c -o tap_doubler.o
 	$(CC) $(LDFLAGS) -o tap_doubler.so tap_doubler.o
 
+tap_sigmoid.so: tap_sigmoid.c tap_utils.h ladspa.h
+	$(CC) $(CFLAGS) tap_sigmoid.c -o tap_sigmoid.o
+	$(CC) $(LDFLAGS) -o tap_sigmoid.so tap_sigmoid.o
+
+tap_tubewarmth.so: tap_tubewarmth.c tap_utils.h ladspa.h
+	$(CC) $(CFLAGS) tap_tubewarmth.c -o tap_tubewarmth.o
+	$(CC) $(LDFLAGS) -o tap_tubewarmth.so tap_tubewarmth.o
+
+tap_chorusflanger.so: tap_chorusflanger.c tap_utils.h ladspa.h
+	$(CC) $(CFLAGS) tap_chorusflanger.c -o tap_chorusflanger.o
+	$(CC) $(LDFLAGS) -o tap_chorusflanger.so tap_chorusflanger.o
+
 
 # OTHER TARGETS
