## tap-plugins 0.7.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#   Copyright (C) 2004 Tom Szilagyi
+#   Copyright (C) 2004-2009 Tom Szilagyi
 #
 #   This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
@@ -14,7 +14,7 @@
 #   along with this program; if not, write to the Free Software
 #   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
-#   $Id: Makefile,v 1.16 2004/08/13 18:34:31 tszilagyi Exp $
+#   $Id: Makefile,v 1.17 2006/11/26 19:42:44 tszilagyi Exp $
 
 
 #####################################################################
@@ -156,5 +156,5 @@
 clean:
 	-rm -f `find . -name "*.so"`
 	-rm -f `find . -name "*.o"`
-	-rm -f `find .. -name "*~"`
+	-rm -f `find . -name "*~"`
