=== debian/control ===
Source: tap-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 sharutils
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-multimedia/tap-plugins.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/tap-plugins.git
Homepage: http://tap-plugins.sourceforge.net/

Package: tap-plugins
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: ladspa-plugin
Description: Tom's Audio Processing LADSPA plugins
 Tom Szilagyi has written a number of plugins for LADSPA
 compatible hosts (e.g. Ardour, GNU Sound and GStreamer).
 .
 The plugins (Equalizer, Reverberator, Stereo Echo, Tremolo,
 Scaling Limiter, AutoPanner and DeEsser) have been written 
 primarily for Ardour but should work well with any LADSPA 
 host.
