=== debian/changelog ===
tap-plugins (0.7.2-1) unstable; urgency=low

  * Team upload.
  * New bugfix release:
    - Fix sharp peaks / level jumps in the output when using the Scaling
      Limiter plugin.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jul 2012 16:56:59 +0200
