=== debian/watch ===
version=3

http://sf.net/tap-plugins/tap-plugins-([\d.]+)\.tar\.gz
