## tap-plugins 0.7.3

=== debian/changelog ===
tap-plugins (0.7.3-2) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Tune .gitignore file.
  * Fix hardening.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 22:28:06 +0100

tap-plugins (0.7.3-1) unstable; urgency=low

  * Imported Upstream version 0.7.3
  * Patch updated.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 05 Jun 2014 23:26:30 +0200

tap-plugins (0.7.2-2) unstable; urgency=low

  [ Alessio Treglia ]
  * Remove DM-Upload-Allowed field, not needed anymore.

  [ Jaromír Mikeš ]
  * Set compat/dh 9.
  * Bump Standards.
  * Update VCS urls.
  * Added patch to pass flags correctly.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 26 Feb 2014 21:48:09 +0100
