=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 10),
  sharutils
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/tap-plugins.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/tap-plugins.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/tap-plugins.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/tap-plugins.git
 Homepage: http://tap-plugins.sourceforge.net/
 
 Package: tap-plugins
