=== debian/changelog ===
tap-plugins (1.0.0-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:03:26 +0200

tap-plugins (1.0.0-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sam Q ]
  * d/watch: Change upstream to GitHub

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Set upstream metadata fields: Repository

 -- Bastian Germann <bage@debian.org>  Thu, 28 Sep 2023 22:04:31 +0200

tap-plugins (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Bump Standards.
  * Vcs - use git instead og cgit.
  * Update Homepage to avoid redirecting.
  * Use secure uri in watch file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 25 Nov 2017 12:52:50 +0100
