=== debian/control ===
Source: tap-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper-compat (= 13),
 sharutils
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/multimedia-team/tap-plugins.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/tap-plugins
Homepage: https://tap-plugins.sourceforge.io/

Package: tap-plugins
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: ladspa-plugin
Description: Tom's Audio Processing LADSPA plugins
 Tom Szilagyi has written a number of plugins for LADSPA
 compatible hosts (e.g. Ardour, GNU Sound and GStreamer).
 .
 The plugins (Equalizer, Reverberator, Stereo Echo, Tremolo,
 Scaling Limiter, AutoPanner and DeEsser) have been written
 primarily for Ardour but should work well with any LADSPA
 host.
