=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tap-plugins-$1\.tar\.gz/ \
  https://github.com/tomszilagyi/tap-plugins/tags .*/v?(\d\S+)\.tar\.gz
